/* Datei: stat.c */
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>

int main (void)
{
   struct stat dateiInfo;
   char pfad [50];
   int retWert;                     
   
   /* Dateinamen von Tastatur einlesen */
   printf("\nBitte Pfad mit Dateinamen eingeben: ");
   scanf("%s", pfad);   
   
   retWert = stat (pfad, &dateiInfo);/* Strukturdaten einlesen    */
   
   if (retWert < 0)       /* Abbruch, falls keine Datei vorhanden */
   {
      printf ("\nProbleme beim Oeffnen oder Finden der Datei\n");
      return -1;
   }
   
   printf ("Die Struktur DateiInfo enthaelt:\n");
   printf ("Datei-Groesse: %ld\n", dateiInfo.st_size);
   printf ("Zeitpunkt des letzten Aenderns: %s\n",
           ctime(&dateiInfo.st_mtime));
   return 0;  
}



