/* Datei: feof.c */
/* Auslesen aus einer Datei bis diese ganz gelesen ist.           */
#include <stdio.h>
#define STR_LEN 80

int main (void)
{
   const char * const filename = "bsp.txt";
   FILE * fp;
   char str [STR_LEN];

   if ((fp = fopen (filename, "r")) == NULL)
   {
      fprintf (stderr, "Fehler beim Oeffnen von %s", filename);
      return 1;
   }
   while (!feof (fp))
   {
      if (fgets (str, STR_LEN, fp) == NULL)
      {
         fprintf (stderr, "Fehler beim Lesen mit fgets\n");
         return 2;
      }
      printf ("%s", str);
   }
   fclose (fp);
   return 0;
}


