/* Datei: realloc.c */
#include <stdio.h>
#include <stdlib.h>

int main (void)
{
   int * pointer;
   if ((pointer = malloc (sizeof (int))) != NULL)
   {
      *pointer = 3;
      printf ("Nach malloc():\n");
      printf ("pointer zeigt auf eine int-Zahl mit Wert %d\n\n",
               *pointer);
   }
   else
   {
      printf ("Nicht genuegend Speicher verfuegbar\n");
      return (-1);
   }
   pointer = realloc ((void *) pointer, 2 * (sizeof(int)));
   if (pointer == NULL)
   {
      printf ("Nicht genuegend Speicher verfuegbar\n");
      return (-1);
   }  
   pointer[1] = 6;
   printf ("Nach realloc():\n");
   printf ("pointer zeigt auf eine int-Zahl mit Wert %d\n",
            *pointer);
   printf ("Das 2. Element von pointer hat den Wert %d\n\n", 
            pointer[1]);
   free (pointer);
   return 0;
}




