/* Datei: bdgtcomp.c */
/* Beispiel fuer die bedingte Kompilierung */
#include <stdio.h>
#include <limits.h>

#define TESTVERSION 1

int main (void)
{
   /* Die Konstante INT_MAX ist der Maximalwert, den eine Integer-*/
   /* Konstante annehmen kann. INT_MAX ist in limits.h definiert  */
   #if INT_MAX > 32767
      int i;
   #else
      long i;
   #endif

   #if TESTVERSION
      printf ("Testausgabe: sizeof (int)  = %d\n", sizeof (int));
      printf ("Testausgabe: sizeof (long) = %d\n", sizeof (long));
   #endif

   i = 300;
   printf ("%ld * %ld = %ld\n", i, i, i*i);
   return 0;
}


