/* Datei: fgetc.c */
/* Zeichenweises Lesen aus einer Datei */
#include <stdio.h>

int main (void)
{
   const char * const filename = "bsp.txt";
   FILE * fp;
   int lc, lv=0;

   if ((fp = fopen (filename, "r")) == NULL)
   {
      fprintf (stderr,
         "Fehler beim Oeffnen der Datei %s\n", filename);
      return 1;
   }

   while ((lc = fgetc (fp)) != EOF)
      printf ("%4d. Zeichen in %s: '%c'\n", ++lv, filename, lc);

   fclose (fp);
   return 0;
}


