/* Datei: fwrite1.c */
/* Schreiben von kompletten Arrays in eine Binaerdatei            */
#include <stdio.h>

int main (void)
{
   int status = 0;
   float puffer [4] = {1.0f, 1.1f, 1.2f, 1.3f};
   const char * const filename = "bsp.bin";
   FILE * fp;
   if ((fp = fopen (filename, "wb")) == NULL)
   {
      fprintf (stderr,
         "Fehler beim Oeffnen der Datei %s\n", filename);
      return 1;
   }
   
   /* Die Groesse eines Objektes wird aus Portabilitaetsgruenden  */
   /* stets mit Hilfe von sizeof angegeben.                       */
   status = fwrite (puffer, sizeof (puffer), 1, fp);
   if (status < 1)
   {
      /* Fehlerbehandlung   */
      fprintf (stderr,
         "Fehler beim binaeren Schreiben auf Datei %s\n", filename);
      return 2;
   }
   else
   {
      printf ("%d Array-Objekt wurde geschrieben\n", status);
      return 0;
   }
}


