/* Datei: quicksrt.c */
#include<stdio.h>

void zerlege(int teilListe [], int startLinks, int startRechts)
{
   int i;
   int laufLinks = startLinks;
   int laufRechts = startRechts;
   int vergleichselementIndex =
       (startLinks + startRechts) / 2;                       /*(1)*/
   int vergleichselement = teilListe[vergleichselementIndex];
   do                                                        /*(2)*/
   { /* Schleife, bis laufLinks und laufRechts zusammentreffen    */
      /* Suche von links groessere Elemente als                   */
      /* Vergleichselement                                   (2.1)*/
      while (teilListe[laufLinks] < vergleichselement)
         laufLinks++;
      /* Suche von rechts kleinere Elemente als                   */
      /* Vegleichselement                                    (2.2)*/
      while (teilListe[laufRechts] > vergleichselement)
         laufRechts-- ;
      if (laufLinks <= laufRechts) /* Vertauschen            (2.3)*/
      {
         int zwischen = teilListe[laufLinks];
         teilListe[laufLinks] = teilListe[laufRechts];
         teilListe[laufRechts] = zwischen;
         laufLinks++; laufRechts--;
      }
   }
   while (laufLinks <= laufRechts);                        /*(2.4)*/
   /* Vorsortiertes Array ausgeben                                */
   for (i = 0; i < startLinks; i++)
      printf("   ");
   for (i=startLinks; i <= startRechts; i++)
      printf("%i  ", teilListe[i]);
   printf("\n");
   /* Jetzt beide Teilarrays rekursiv gleich behandeln         (3)*/
   if (startLinks < laufRechts)
      zerlege (teilListe , startLinks, laufRechts);
   if (laufLinks < startRechts)
      zerlege (teilListe , laufLinks, startRechts);
}

void quickSort (int in [], int n)
{
   zerlege (in, 0, n-1);
}

int main(void)
{
   int test [] = {7, 3, 8, 6, 9, 1, 2, 4};
   int index, numInArray = sizeof(test)/sizeof(int);

   /* Zu sortierendes Array ausgeben                              */
   for (index=0; index < numInArray; index++)
      printf("%i  ",test[index]);
   printf("\n\n");

   quickSort(test, numInArray);

   /* Sortiertes Array ausgeben                                   */
   printf("\n");
   for(index = 0; index < numInArray; index++)
      printf("%i  ",test[index]);
   printf("\n");
   return 0;
}



